package com.medipreco.loopboxplugin;

import android.content.Context;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

public class LoopboxEventHandler {
  private EventChannel devicesEventChannel;
  private Context context;
  private BinaryMessenger binaryMessenger;

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  public LoopboxEventHandler(Context context, BinaryMessenger binaryMessenger) {
    this.context = context;
    this.binaryMessenger = binaryMessenger;
    this.setupEventChannels();
  }

  private void setupEventChannels() {
    devicesEventChannel = new EventChannel(this.binaryMessenger, DEVICES_NEARBY_EVENT);

    devicesEventChannel.setStreamHandler(new EventChannel.StreamHandler() {
      @Override
      public void onListen(Object listener, EventChannel.EventSink eventSink) {
        eventSink.success("Evento emitido do código native");
      }

      @Override
      public void onCancel(Object o) {

      }
    });
  }
}
